<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>ITEA JS Advanced. Lesson 3: Task 1</title>
    <link rel="stylesheet" href="css/normalize.css" />
    <link rel="stylesheet" href="css/style.css" />
  </head>
  <body>
    <div class="wrap" id="wrap">
        <h1>Добавление списка элементов по условию</h1>

        <header>
          <input type="text" placeholder="" id="receiver"/>
          <input type="submit" value="Add" id="addToList"/>
        </header>

        <div>
          <div id="error"></div>
          <ul id="list"></ul>
        </div>

    </div>
    <script>
      /*
          Задание:

          Написать скрипт, который будет добавлять введенный в инпут Receiver текст
          в список list.
          Если в списке больше 5 записей, убирать Event с кнопки addToList.
          Кнопке addToList добавить disabled = true

          После каждого ввода очищать значение инпута

          Используемые методы:

          addEventListener
          removeEventListener

          document.getElementById
          document.createElement

          element.innerText
          element.setAttribute
          element.appendChild

          Получить значение инпута: receiver.value [receiver - это id]

      */
      let ListCount = 0;
      const receiver = document.getElementById("receiver");
      const submit = document.getElementById("addToList");
      const list = document.getElementById("list");
      const error = document.getElementById("error");
      
      submit.addEventListener("click", addToListHandler);

      const MAX_LENGTH = 5;
      function addToListHandler() {
          const lis = list.querySelectorAll("li");
          if(lis.length < MAX_LENGTH) {
            if(lis.length == MAX_LENGTH -1) {
              submit.setAttribute("disabled", true);
              submit.removeEventListener("click", addToListHandler);
              error.innerText = "The list can contain only " + MAX_LENGTH + " elements.";
            }
            const li = document.createElement("li");
            li.innerText = receiver.value;
            list.appendChild(li);
            receiver.value= "";
          }
      }
    </script>
  </body>


</html>
